From ad08dc196ff4997b42a7b82a848aa83c2a5f9f19 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Aug 03 2021 13:30:13 +0000
Subject: [PATCH 2/11] fixed splits phrases and formatted strings


---

diff --git a/src/App.js b/src/App.js
index c591221..fb0eb5b 100644
--- a/src/App.js
+++ b/src/App.js
@@ -14,7 +14,7 @@ const App = () => {
   useEffect(() => {
     const lang = localStorage.getItem("locale") || "en"
     dispatch(changeLanguage(lang))
-  }, [])
+  }, [dispatch])
 
   return (
     <BrowserRouter basename={window.env.SUBDIR}>
diff --git a/src/landingpage/Blockers.js b/src/landingpage/Blockers.js
index 1cd815a..f716df8 100644
--- a/src/landingpage/Blockers.js
+++ b/src/landingpage/Blockers.js
@@ -7,8 +7,6 @@ import { useSelector } from "react-redux"
 const Blockers = (props) => {
   const { i18n } = useSelector((state) => state.locale)
 
-  console.log(i18n.t("phrases.blockers_and_FEs"))
-
   return (
     <Card className="cards">
       <CardBody>
diff --git a/src/landingpage/Minutes.js b/src/landingpage/Minutes.js
index 5c7d7e0..0f61424 100644
--- a/src/landingpage/Minutes.js
+++ b/src/landingpage/Minutes.js
@@ -18,7 +18,7 @@ const Events = (props) => {
         <h1 className="text-center padded">{i18n.t("phrases.Fedora_QA_Meeting_Minutes")}</h1>
         <div className="events minutes">
           <a target="_blank" href={props.data.link} rel="noopener noreferrer">
-            Latest minutes from {dating} {timing}
+            {i18n.t("phrases.Latest_minutes_from")} {dating} {timing}
           </a>
           <br />
           {i18n.t("words.Visit")}{" "}
@@ -26,7 +26,7 @@ const Events = (props) => {
             target="_blank"
             href="https://meetbot.fedoraproject.org/sresults/?group_id=fedora-qa&type=team"
             rel="noopener noreferrer">
-            meetbot
+            {i18n.t("words.meetbot")}
           </a>{" "}
           {i18n.t("phrases.to_see_older")}.
           <br />
diff --git a/src/layout/Masthead.js b/src/layout/Masthead.js
index e428a46..bc889f2 100644
--- a/src/layout/Masthead.js
+++ b/src/layout/Masthead.js
@@ -5,7 +5,6 @@ import {
   NavbarBrand,
   Navbar,
   Button,
-  Dropdown,
   DropdownToggle,
   DropdownMenu,
   DropdownItem,
diff --git a/src/wizard/Easyfix.js b/src/wizard/Easyfix.js
index 1ddaa0f..390c40d 100644
--- a/src/wizard/Easyfix.js
+++ b/src/wizard/Easyfix.js
@@ -29,7 +29,11 @@ const EasyfixSection = (props) => {
       )
 
       return (
-        <CollapsableCard key={k} title={title} expand_class="primary" expand_text="See!">
+        <CollapsableCard
+          key={k}
+          title={title}
+          expand_class={i18n.t("words.primary")}
+          expand_text={i18n.t("words.See")}>
           <EasyfixLinksList data={props.data[k]} />
         </CollapsableCard>
       )
@@ -41,7 +45,11 @@ const EasyfixSection = (props) => {
     )
 
     return (
-      <CollapsableCard key={title} title={title} expand_class="warning" expand_text="Expand!">
+      <CollapsableCard
+        key={title}
+        title={title}
+        expand_class={i18n.t("words.warning")}
+        expand_text={i18n.t("words.Expand!")}>
         {subsections}
       </CollapsableCard>
     )
@@ -65,7 +73,11 @@ const EasyfixSection = (props) => {
     ))
 
     return (
-      <CollapsableCard key={title} title={title} expand_class="primary" expand_text="See!">
+      <CollapsableCard
+        key={title}
+        title={title}
+        expand_class={i18n.t("words.primary")}
+        expand_text={i18n.t("words.See")}>
         {links}
       </CollapsableCard>
     )
diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index 3832782..7274f8a 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -10,19 +10,18 @@ export default (props) => {
       <div>
         <h1>{i18n.t("phrases.What_is_Karma")}</h1>
         {i18n.t("phrases.Before_a_new_version_of_a_package")}{" "}
-        <CollapsableBadge expand_text="Tell me more about the process!">
+        <CollapsableBadge expand_text={i18n.t("phrases.Tell_me_more_about")}>
           {i18n.t("phrases.the_updates_are")}{" "}
           <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
             {i18n.t("words.Bodhi")}
           </a>
-          , {i18n.t("phrases.which_acts_as_a_gatekeeper")} {i18n.t("phrases.users_or_automated")}{" "}
-          {i18n.t("phrases.an_update_can")}
+          {i18n.t("phrases.which_acts_as_a_gatekeeper")}
         </CollapsableBadge>
         <h1 style={{ marginTop: 1 + "em" }}>{i18n.t("phrases.sure_let_me_do_it")}</h1>
         <ol className="steps">
           <li>
             {i18n.t("phrases.Fedora_Accounts_System")}{" "}
-            <CollapsableBadge expand_text="Don&#39;t have one yet?">
+            <CollapsableBadge expand_text={i18n.t("phrases.Dont_have_one_yet")}>
               <ul>
                 <li>
                   {i18n.t("words.Visit")}{" "}
@@ -48,7 +47,7 @@ export default (props) => {
           </li>
           <li>
             {i18n.t("phrases.choose_an_update")}{" "}
-            <CollapsableBadge expand_text="Not sure how?">
+            <CollapsableBadge expand_text={i18n.t("phrases.Not_sure_how")}>
               {i18n.t("phrases.have_a_look_at")}
               <code> {i18n.t("phrases.update_testing")}</code> {i18n.t("phrases.repo_by")}
               <code>
@@ -67,7 +66,7 @@ export default (props) => {
             <strong> {i18n.t("words.Note")}</strong> {i18n.t("phrases.Other_packages_from")}
             <code> {i18n.t("phrases.update_testing")}</code>
             {i18n.t("phrases.repo_may_be_installed")}{" "}
-            <CollapsableBadge expand_text="Need some tips?">
+            <CollapsableBadge expand_text={i18n.t("phrases.Need_some_tips")}>
               {i18n.t("phrases.somtimes_the_update")}.
               <br />
               {i18n.t("words.Run")}{" "}
@@ -76,7 +75,7 @@ export default (props) => {
               <code>{i18n.t("phrases.Test_Cases")}</code>, {i18n.t("phrases.and_or")}{" "}
               <code>{i18n.t("words.notes")}</code>{" "}
               {i18n.t("phrases.sections_in_the_detailed_output")}{" "}
-              <ModalBadge expand_text="Want something a bit nicer?">
+              <ModalBadge expand_text={i18n.t("phrases.Want_something_a_bit_nicer")}>
                 {i18n.t("phrases.we_already_mentioned_bodhi")}{" "}
                 <code>{i18n.t("phases.fedora-easy-karma")}</code>
                 {i18n.t("phrases.interface_for_submitting")}
@@ -96,13 +95,13 @@ export default (props) => {
             {i18n.t("words.Run")}
             <code>{i18n.t("phrases.fedora_easy_karma_fas_username_FAS_USERNAME")}</code>{" "}
             {i18n.t("phrases.and_report_what_you_found_out")}{" "}
-            <CollapsableBadge expand_text="New to fedora-easy-karma?">
+            <CollapsableBadge expand_text={i18n.t("phrases.New_to_fedora")}>
               {i18n.t("phrases.it_identifies")}
               <code> {i18n.t("phrases.update_testing")}</code>{" "}
               {i18n.t("phrases.repository_and_matches")}
               <br />
               {i18n.t("phrases.you_are_then_presented")}{" "}
-              <ModalBadge expand_text="Not sure what Karma means?">
+              <ModalBadge expand_text={i18n.t("phrases.Not_sure_what_Karma_means")}>
                 <ol>
                   <li>
                     {i18n.t("words.enter")}
diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index aca861a..473f33a 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -1,4 +1,5 @@
 import React, { useState } from "react"
+import { useSelector } from "react-redux"
 import { Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
 import { CollapsableCard, ModalBadge } from "./components"
 
@@ -22,6 +23,7 @@ const FedoraManualTestingItemsListSub2 = (props) => {
 }
 
 export function FedoraManualTestingItemsListSub1(props) {
+  const { i18n } = useSelector((state) => state.locale)
   var subsections = Object.keys(props.data).map((k) => (
     <li key={"li" + k}>
       <span>{k}</span>
@@ -34,65 +36,60 @@ export function FedoraManualTestingItemsListSub1(props) {
   switch (props.title) {
     case "Installation":
       l1 = (
-        <div>
-          The <strong>Installation</strong> testcases generally deal with a part of the
-          installation procedure.
+        <div className="text-left">
+          {i18n.t("words.the")} <strong>{i18n.t("words.Installation")}</strong>{" "}
+          {i18n.t("phrases.Installation_text")}
           <br />
-          You will certainly need an installation ISO, and either a Virtual or Bare-metal machine
-          to run the test.
+          {i18n.t("phrases.Installation_text1")}
           <br />
-          <i>Note:</i> some (not that many, though) of these testcases require Bare-metal machine.
-          Be sure to read the Description of the testcase carefully.
+          <i>{i18n.t("words.Note")}</i> {i18n.t("phrases.Installation_text2")}
         </div>
       )
       break
     case "Desktop":
       l1 = (
-        <div>
-          The <strong>Desktop</strong> testcases cover basic functionality of the desktop
-          environment.
+        <div className="text-left">
+          {i18n.t("words.the")} <strong>{i18n.t("words.Desktop")}</strong>{" "}
+          {i18n.t("phrases.Desktop_text")}
           <br />
-          You can either install Fedora onto clean Virtual or Bare-metal machine, or use a Live
-          image instead.
+          {i18n.t("phrases.Desktop_text1")}
         </div>
       )
       break
     case "Base":
       l1 = (
-        <div>
-          The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
-          after a clean installation.
+        <div className="text-left">
+          {i18n.t("words.the")} <strong>{i18n.t("words.Base")}</strong>{" "}
+          {i18n.t("phrases.base_text")}
           <br />
-          Most times, you will be asked to perform a clean Fedora installation. You can use either
-          Virtual or Bare-metal machine.
+          {i18n.t("phrases.base_text1")}
           <br />
-          <i>Pro tip:</i> using a snapshot of cleanly installed Virtual machine is just fine. No
-          need to reinstall for every testcase.
+          <i>{i18n.t("phrases.Pro_tip")}:</i> {i18n.t("phrases.base_text3")}
         </div>
       )
       break
     case "Server":
       l1 = (
-        <div>
-          The <strong>Server</strong> testcases usually require multiple machines to test the
-          server-client behaviour, and might feel a bit advanced.
+        <div className="text-left">
+          {i18n.t("words.the")} <strong>{i18n.t("words.Server")}</strong>{" "}
+          {i18n.t("phrases.Server_text")}
         </div>
       )
       break
     case "Cloud":
       l1 = (
-        <div>
-          Even thought the <strong>Cloud</strong> testcases are best done in the specific
-          environments like EC2 or Openstack, you can also perform them locally using Testcloud.
+        <div className="text-left">
+          {i18n.t("cloud_text")} <strong>{i18n.t("words.Cloud")}</strong>{" "}
+          {i18n.t("phrases.cloud_text1")}
           <br />
-          Have a look at the{" "}
+          {i18n.t("phrases.cloud_text2")}{" "}
           <a
             target="_blank"
             rel="noopener noreferrer"
             href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
-            Cloud provider setup
+            {i18n.t("phrases.Cloud_provider_setup")}
           </a>{" "}
-          guides for more details.
+          {i18n.t("phrases.guides_for_more_details")}
         </div>
       )
       break
@@ -108,6 +105,7 @@ export function FedoraManualTestingItemsListSub1(props) {
 }
 
 export function FedoraManualTestingItem(props) {
+  const { i18n } = useSelector((state) => state.locale)
   const extra_data = props.data.extra_data
 
   const tc_url = extra_data.testcase_url
@@ -126,21 +124,22 @@ export function FedoraManualTestingItem(props) {
     case "Base":
       environment_examples = (
         <span>
-          <code>Workstation</code>, <code>Server</code>, <code>Xfce</code> or <code>Minimal</code>
+          <code>{i18n.t("words.Workstation")}</code>, <code>{i18n.t("words.Server")}</code>,{" "}
+          <code>Xfce</code> {i18n.t("words.or")} <code>{i18n.t("words.Minimal")}</code>
         </span>
       )
       break
     case "Desktop":
       environment_examples = (
         <span>
-          <code>Workstation</code> or <code>KDE</code>
+          <code>{i18n.t("words.Workstation")}</code> {i18n.t("words.or")} <code>KDE</code>
         </span>
       )
       break
     case "Server":
       environment_examples = (
         <span>
-          <code>x86_64</code> or <code>aarch64</code>
+          <code>x86_64</code> {i18n.t("words.or")} <code>aarch64</code>
         </span>
       )
       break
@@ -154,84 +153,82 @@ export function FedoraManualTestingItem(props) {
     <ModalInfo buttonLabel={name}>
       <ol className="steps">
         <li>
-          Identify the testcase and `environment` in our{" "}
+          {i18n.t("phrases.Identify_the_testcase_and_environment_in_our")}
           <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
-            Tescase matrix
+            {i18n.t("phrases.Tescase_matrix")}
           </a>{" "}
-          <ModalBadge expand_text="Not sure what that means?">
+          <ModalBadge expand_text={i18n.t("phrases.Not_sure_what_that_means")}>
             <ul>
               <li>
-                Have a look at the matrix. The rows are the testcases, and the columns are the
-                environments. Most of the time, these are {environment_examples} for the {testtype}{" "}
-                testcases, but you can also encouter a generic <code>Result</code> column, which
-                usually means you can use any media/architecture available.
+                {i18n.t("phrases.ModalBadge")} {environment_examples} {i18n.t("words.for_the")}{" "}
+                {testtype} {i18n.t("phrases.testcase_but_you_can")}{" "}
+                <code>{i18n.t("words.Result")}</code> {i18n.t("phrases.Column_which_actually")}
               </li>
               <li>
-                For this particular testcase, <code>{extra_data.envs.join(", ")}</code>{" "}
-                {extra_data.envs.length > 1 ? "environments are" : "environment is"} missing
-                results.
+                {i18n.t("phrases.For_this_particular_testcase")}{" "}
+                <code>{extra_data.envs.join(", ")}</code>{" "}
+                {extra_data.envs.length > 1 ? "environments are" : "environment is"}{" "}
+                {i18n.t("phrases.missing_results")}
               </li>
             </ul>
           </ModalBadge>
         </li>
 
         <li>
-          Read the{" "}
+          {i18n.t("phrases.Read_the")}{" "}
           <a target="_blank" rel="noopener noreferrer" href={tc_url}>
-            Testcase
+            {i18n.t("words.Testcase")}
           </a>{" "}
-          briefly, just to have a general idea of what you will be doing.{" "}
-          <ModalBadge expand_text="Not making much sense?">
-            The testcases are generally split into four sections:
+          {i18n.t("phrases.briefly_just")}{" "}
+          <ModalBadge expand_text={i18n.t("phrases.Not_making_much_sense")}>
+            {i18n.t("phrases.The_testcases_are_generally_split_into_four_sections")}
             <ul>
               <li>
-                <strong>Description</strong> should give you a general idea of what is being tested
+                <strong>{i18n.t("words.Description")}</strong> {i18n.t("phrases.Should_give_you")}
               </li>
               <li>
-                <strong>Setup</strong> describes the steps to take before you begin working on the
-                testcase
+                <strong>{i18n.t("words.Setup")}</strong> {i18n.t("phrases.describes_the_steps")}
               </li>
               <li>
-                <strong>How to test</strong> contains the individual steps to take in order to
-                perform the testcase
+                <strong>{i18n.t("phrases.How_to_test")}</strong>{" "}
+                {i18n.t("phrases.contains_the_individual")}
               </li>
               <li>
-                <strong>Expected results</strong> describe what you should check while testing in
-                order to decide whether it Passed of Failed
+                <strong>{i18n.t("phrases.Expected_results")}</strong>{" "}
+                {i18n.t("phrases.describes_you_to_check")}
               </li>
             </ul>
           </ModalBadge>
         </li>
 
         <li>
-          Based on the enviromnent, select and download and appropriate ISO{" "}
+          {i18n.t("phrases.based_on_the")}{" "}
           <a
             target="_blank"
             rel="noopener noreferrer"
             href="https://fedoraproject.org/wiki/Test_Results:Current_Installation_Test#How_to_test">
-            here
+            {i18n.t("words.here")}
           </a>
           .{" "}
-          <ModalBadge expand_text="Not sure how?">
+          <ModalBadge expand_text={i18n.t("phrases.Not_sure_how")}>
             <ul>
+              <li>{i18n.t("phrases.Most_of_the_time")}</li>
               <li>
-                Most of the time Workstation Live, or Server DVD are fine, but sometimes there are
-                specific products (e.g. Xfce) to be tested
-              </li>
-              <li>
-                Make sure to read about identifying the environment above.{" "}
-                <ModalBadge expand_text="See">
+                {i18n.t("phrases.Make_sure_to")}{" "}
+                <ModalBadge expand_text={i18n.t("words.See")}>
                   <ul>
                     <li>
-                      Have a look at the matrix. The rows are the testcases, and the columns are
-                      the environments. Most of the time, these are {environment_examples} for the{" "}
-                      {testtype} testcases, but you can also encouter a generic <code>Result</code>{" "}
-                      column, which usually means you can use any media/architecture available.
+                      {i18n.t("phrases.Have_a_look")} {environment_examples}{" "}
+                      {i18n.t("words.for_the")} {testtype}{" "}
+                      {i18n.t("phrases.testcases_but_you_can")}{" "}
+                      <code>{i18n.t("words.Result")}</code>{" "}
+                      {i18n.t("phrases.Column_which_usually")}
                     </li>
                     <li>
-                      For this particular testcase, <code>{extra_data.envs.join(", ")}</code>{" "}
-                      {extra_data.envs.length > 1 ? "environments are" : "environment is"} missing
-                      results.
+                      {i18n.t("phrases.For_this_particular_testcase")}
+                      <code>{extra_data.envs.join(", ")}</code>{" "}
+                      {extra_data.envs.length > 1 ? "environments are" : "environment is"}{" "}
+                      {i18n.t("phrases.missing_results")}
                     </li>
                   </ul>
                 </ModalBadge>
@@ -241,107 +238,104 @@ export function FedoraManualTestingItem(props) {
         </li>
 
         <li>
-          Study the{" "}
+          {i18n.t("phrases.Study_the")}{" "}
           <a target="_blank" rel="noopener noreferrer" href={tc_url}>
-            Testcase
+            {i18n.t("words.Testcase")}
           </a>{" "}
-          thoroughly, to be sure you know what to do.{" "}
+          {i18n.t("phrases.thoroughly_to_be_sure_you_know_what_to_do")}{" "}
           <ModalBadge expand_text="Feeling a bit lost?">
             <ul>
               <li>
-                The testcase structure is not making sense?{" "}
+                {i18n.t("phrases.The_testcase_structure_is_not_making_sense")}{" "}
                 <ModalBadge expand_text="Click here">
-                  The testcases are generally split into four sections:
+                  {i18n.t("phrases.The_testcases_are_generally_split_into_four_sections")}
                   <ul>
                     <li>
-                      <strong>Description</strong> should give you a general idea of what is being
-                      tested
+                      <strong>{i18n.t("words.Description")}</strong>{" "}
+                      {i18n.t("phrases.should_give_you_a")}
                     </li>
                     <li>
-                      <strong>Setup</strong> describes the steps to take before you begin working
-                      on the testcase
+                      <strong>{i18n.t("words.Setup")}</strong>{" "}
+                      {i18n.t("phrases.describes_the_steps")}
                     </li>
                     <li>
-                      <strong>How to test</strong> contains the individual steps to take in order
-                      to perform the testcase
+                      <strong>{i18n.t("phrases.How_to_test")}</strong>{" "}
+                      {i18n.t("phrases.contains_the_individual")}
                     </li>
                     <li>
-                      <strong>Expected results</strong> describe what you should check while
-                      testing in order to decide whether it Passed of Failed
+                      <strong>{i18n.t("phrases.Expected_results")}</strong>{" "}
+                      {i18n.t("phrases.describes_you_to_check")}
                     </li>
                   </ul>
                 </ModalBadge>
               </li>
               <li>
-                Maybe you are stuck, or just do not understand something? Feel free to ask on our
-                IRC channel #fedora-qa at freenode.net{" "}
-                <ModalBadge expand_text="Don&#39;t have an IRC client?">
-                  If you are not that familiar with IRC, you can use the{" "}
+                {i18n.t("phrases.Maybe_you_are_stuck")}{" "}
+                <ModalBadge expand_text={i18n.t("phrases.dont_have_an")}>
+                  {i18n.t("phrases.if_you_are")}{" "}
                   <a target="_blank" rel="noopener noreferrer" href="http://webchat.freenode.net">
-                    web-interface
+                    {i18n.t("words.web_interface")}
                   </a>{" "}
-                  just enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
-                  Channels field, and click Connect.
+                  {i18n.t("phrases.Just_enter_a_Nickname")}
                 </ModalBadge>
               </li>
             </ul>
           </ModalBadge>
         </li>
 
-        <li>Get your hands dirty, and test the hell out of it!</li>
+        <li>{i18n.t("phrases.Get_your_hands")}</li>
         <li>
-          <ModalBadge expand_class="success" expand_text="Everything went well" type="btn">
-            Great! Either use <code>relval report-results</code> on command line (make sure to
-            install the <code>relval</code> package first), or modify the{" "}
+          <ModalBadge
+            expand_class="success"
+            expand_text={i18n.t("phrases.Everything_went_well")}
+            type="btn">
+            {i18n.t("phrases.Great_Either_use")}{" "}
+            <code>{i18n.t("phrases.relval_report_results")}</code>{" "}
+            {i18n.t("phrases.on_command_line")} <code>{i18n.t("words.relval")}</code>
+            {i18n.t("phrases.package_first")}{" "}
             <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
-              matrix
+              {i18n.t("words.matrix")}
             </a>{" "}
-            directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
-            put <code>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</code> in the appropriate
-            spot.
+            {i18n.t("phrases.directly_by_clicking_on_the")} <code>{i18n.t("words.Edit")}</code>{" "}
+            {i18n.t("phrases.link_next_to_the_Matrice_header_and_put")}{" "}
+            <code>&#123;&#123;{i18n.t("phrases.result_pass_your")}&#125;&#125;</code>{" "}
+            {i18n.t("phrases.in_the_appropriate_spot")}
           </ModalBadge>
 
-          <ModalBadge expand_class="danger" expand_text="I found a bug!" type="btn">
-            Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report
+          <ModalBadge
+            expand_class={i18n.t("words.danger")}
+            expand_text={i18n.t("phrases.I_found_a_bug")}
+            type="btn">
+            {i18n.t("phrases.Awesome_Ideally_read_up_on")}{" "}
+            https://fedoraproject.org/wiki/How_to_file_a_bug_report
             <br />
-            If you don't feel like reading a wall of text, at least pot together a small document
-            containing:
+            {i18n.t("phrases.if_you_dont_like_like_reading")}
             <ul>
+              <li>{i18n.t("phrases.brief_description_of_what")}</li>
               <li>
-                Brief description of what went wrong (e.g. "QA:Testcase_dualboot_with_windows -
-                Bootloader does not show the Windows option")
-              </li>
-              <li>
-                The name of the ISO image you used (e.g.
+                {i18n.t("phrases.the_name_of")} (e.g.
                 "Fedora-Server-netinst-i386-Rawhide-20181227.n.0.iso")
               </li>
+              <li>{i18n.t("phrases.note_what_you_did")}</li>
+              <li>{i18n.t("phrases.try_to_reproduce_the")}</li>
               <li>
-                Note what you did, as precisely as possible, in a step-by-step fashion. Even
-                details like "Chose Polish as the languae for the installation process" can matter.
-              </li>
-              <li>
-                Try to reproduce the same state again based on the steps above (you can also
-                experiment a bit, and try to come up with just the critical steps)
-              </li>
-              <li>
-                Share your notes on the internet (you can use fpaste), and ask for help with filing
-                the bug report on our IRC channel #fedora-qa at freenode.net{" "}
+                {i18n.t("phrases.share_your_notes_on_the")}{" "}
                 <ModalBadge expand_text="Don&#39;t have an IRC client?">
-                  If you are not that familiar with IRC, you can use the web-interface[link] just
-                  enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
-                  Channels field, and click Connect.
+                  {i18n.t("phrases.if_you_are_not_familiar")}
                 </ModalBadge>
               </li>
             </ul>
-            Once you get the Bug reported, make sure to also submit the result into the testing
-            matrix. Either use <code>relval report-results</code> on command line (make sure to
-            install the <code>relval</code> package first), or modify the{" "}
+            {i18n.t("phrases.once_you_get_the_bug_reported")}{" "}
+            <code>{i18n.t("phrases.relval_report_results")}</code>{" "}
+            {i18n.t("phrases.on_command_line")} <code>{i18n.t("words.relval")}</code>{" "}
+            {i18n.t("phrases.package_first")}{" "}
             <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
-              matrix
+              {i18n.t("words.matrix")}
             </a>{" "}
-            directly by clicking on the <code>Edit</code> link next to the Matrice's header, and
-            put <code>&#123;&#123;result|fail|YOUR_NAME_HERE|BUG_NUMBER|&#125;&#125;</code> in the
-            appropriate spot.
+            {i18n.t("phrases.directly_by_clicking_on_the")} <code>{i18n.t("words.Edit")}</code>{" "}
+            {i18n.t("phrases.link_next_to_the_Matrice_header_and_put")}{" "}
+            <code>&#123;&#123;{i18n.t("phrases.result_fail_your")}&#125;&#125;</code>{" "}
+            {i18n.t("phrases.in_the_appropriate_spot")}
           </ModalBadge>
         </li>
       </ol>

